VocalDocscontracts 1.65.0

Pre-call hooks

Endpoints Vocal asks before a Call starts.

OperationSummaryScopeReleased inPhase 0 host
GET /v1/pre-call-hooksList pre-call hookshooks:read1.52.0served
POST /v1/pre-call-hooksCreate a pre-call hookhooks:write1.52.0served
GET /v1/pre-call-hooks/{hook_id}Read a pre-call hookhooks:read1.52.0served
PATCH /v1/pre-call-hooks/{hook_id}Update a pre-call hookhooks:write1.52.0served
DELETE /v1/pre-call-hooks/{hook_id}Delete a pre-call hookhooks:write1.52.0served
POST /v1/pre-call-hooks/{hook_id}/attest-phiAttest a pre-call hook for PHIhooks:write1.52.0served
POST /v1/pre-call-hooks/{hook_id}/rotate-secretRotate the secret of a pre-call hookhooks:write1.52.0served
POST /v1/pre-call-hooks/{hook_id}/testSend a synthetic request to a pre-call hookhooks:write1.52.0served